> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udfloatingactionbutton.md).

# New-UDFloatingActionButton

### Synopsis

Eine Floating Action Button (FAB) führt die primäre bzw. häufigste Aktion auf einem Bildschirm aus.

### Syntax

```powershell
New-UDFloatingActionButton [[-Id] <String>] [[-Icon] <Object>] [[-Size] <String>] [[-OnClick] <Endpoint>] [[-ClassName] <String>] [[-Color] <String>] [[-Position] <String>] [<CommonParameters>]
```

### Beschreibung

Erstellt eine neue Floating Action Button. Floating Action Buttons eignen sich gut für Aktionen, die für eine ganze Seite sinnvoll sind. Sie können am unteren Rand einer Seite angepinnt werden.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon Das Symbol, das in der Floating Action Button platziert wird.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SizeDie Größe der Schaltfläche. Gültige Werte sind: "small", "medium", "large"Required?                    falsePosition?                    3Default value                largeAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnClickEin Skriptblock, der ausgeführt wird, wenn auf die Floating Action Button geklickt wird.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameEine CSS-Klasse, die auf die Floating Action Button angewendet wird.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColorDie Themenfarbe, die auf die Schaltfläche angewendet wird. Gültige Werte sind: "Default", "Primary", "Secondary"Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-PositionDie Position der Floating Action Button. Gültige Werte sind: "Relative", "BottomLeft", "BottomRight"Required?                    falsePosition?                    7Default value                BottomRightAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Ausgaben--------------------------> EXAMPLE 1 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab1' -Position RelativeBasic floating action button|Creates a floating action button with a user icon and shows a toast when clicked.-------------------------- EXAMPLE 2 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -Size Small -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab2' -Position RelativeSmall floating action button|Creates a small floating action button with a user icon and shows a toast when clicked.-------------------------- EXAMPLE 3 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -Position BottomRight -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab3'Position|Creates a floating action button with a user icon and shows a toast when clicked. The button is positioned in the bottom right of the buttons's container.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udfloatingactionbutton.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
